## calligraplan 3.1.0

=== src/plugins/filters/icalendar/CMakeLists.txt ===
if(KF5CalendarCore_FOUND AND HAVE_QDATETIME_KCALCORE)
    add_subdirectory( export )
endif()
