=== debian/changelog ===
calligraplan (1:3.1.0-3) unstable; urgency=medium

  * Update Vcs-* fields.
  * Backport upstream commit a7ebecb9fbee2190e649c44ed53f1299013baa30 to fix
    build with Qt >= 5.11; patch
    upstream_Fix-build-with-Qt-5.11-missing-headers.patch. (Closes: #907155)
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Sep 2018 07:01:08 +0200

calligraplan (1:3.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Ship the examples, making sure to not compress them.

 -- Pino Toscano <pino@debian.org>  Fri, 09 Mar 2018 09:42:16 +0100

calligraplan (1:3.1.0-1) experimental; urgency=medium

  * Initial release, split off src:calligra.

 -- Pino Toscano <pino@debian.org>  Thu, 01 Feb 2018 18:20:19 +0100
