=== src/pics/CMakeLists.txt ===
ecm_install_icons( ICONS
    16-apps-calligraplan.png
    22-apps-calligraplan.png
    32-apps-calligraplan.png
    48-apps-calligraplan.png
    64-apps-calligraplan.png
    128-apps-calligraplan.png
    256-apps-calligraplan.png
    512-apps-calligraplan.png
    1024-apps-calligraplan.png
    sc-apps-calligraplan.svgz

    64-mimetypes-application-x-vnd.kde.kplato.png
    128-mimetypes-application-x-vnd.kde.kplato.png
    sc-mimetypes-application-x-vnd.kde.kplato.svgz

    64-mimetypes-application-x-vnd.kde.plan.png
    128-mimetypes-application-x-vnd.kde.plan.png
    sc-mimetypes-application-x-vnd.kde.plan.svgz

    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)
