=== debian/changelog ===
calligraplan (1:3.1.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Jan 2021 13:20:09 +0800
