=== src/plugins/filters/icalendar/CMakeLists.txt ===

add_subdirectory( export )
