=== debian/changelog ===
calligraplan (1:3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_Fix-build-with-Qt-5.11-missing-headers.patch: drop, backported
      from upstream
  * Add the configuration for the CI on salsa.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
    - bump the Qt packages to 5.9.0
    - bump the KF packages to 5.45.0
    - remove libkf5akonadicontact-dev, libkf5calendarcore-dev,
      libkf5contacts-dev, libkf5kcmutils-dev, and libqt5svg5-dev, no more needed
    - add libqca-qt5-2-dev
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - stop exclusion of examples from dh_compress
  * Stop removing x-test "translations", as they are not shipped anymore.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 15 Nov 2019 22:25:41 +0100
