=== debian/control ===
Source: calligraplan
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.19.0),
               gettext,
               kinit-dev (>= 5.45.0~),
               libkchart-dev,
               libkf5activities-dev (>= 5.45.0~),
               libkf5archive-dev (>= 5.45.0~),
               libkf5config-dev (>= 5.45.0~),
               libkf5configwidgets-dev (>= 5.45.0~),
               libkf5coreaddons-dev (>= 5.45.0~),
               libkf5dbusaddons-dev (>= 5.45.0~),
               libkf5guiaddons-dev (>= 5.45.0~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.45.0~),
               libkf5iconthemes-dev (>= 5.45.0~),
               libkf5itemviews-dev (>= 5.45.0~),
               libkf5jobwidgets-dev (>= 5.45.0~),
               libkf5khtml-dev (>= 5.45.0~),
               libkf5kio-dev (>= 5.45.0~),
               libkf5notifications-dev (>= 5.45.0~),
               libkf5parts-dev (>= 5.45.0~),
               libkf5textwidgets-dev (>= 5.45.0~),
               libkf5wallet-dev (>= 5.45.0~),
               libkf5widgetsaddons-dev (>= 5.45.0~),
               libkf5windowsystem-dev (>= 5.45.0~),
               libkf5xmlgui-dev (>= 5.45.0~),
               libkgantt-dev,
               libqca-qt5-2-dev,
               libqt5opengl5-dev (>= 5.9.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.9.0~),
               zlib1g-dev,
Standards-Version: 4.4.1
Homepage: https://www.calligra.org/plan/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/calligraplan.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/calligraplan

Package: calligraplan
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: ${plan:oldLangs}
Replaces: ${plan:oldLangs}
Description: integrated project management and planning tool
 Plan is a project management application, allowing for the planning and
 scheduling of projects. It was formerly known as KPlato.
 .
 This package is part of the Calligra Suite.
