## calligraplan 3.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,10 +32,10 @@
 # define the version of Plan
 # update these version for every release:
 set(PLAN_YEAR 2019) # update every year
-set(PLAN_VERSION_STRING "3.2.0")
+set(PLAN_VERSION_STRING "3.2.1")
 set(PLAN_STABLE_VERSION_MAJOR 3) # 3 for 3.x, 4 for 4.x, etc.
 set(PLAN_STABLE_VERSION_MINOR 2) # 0 for 3.0, 1 for 3.1, etc.
-set(PLAN_VERSION_RELEASE 0)     # 89 for Alpha, increase for next test releases, set 0 for first Stable, etc.
+set(PLAN_VERSION_RELEASE 1)     # 89 for Alpha, increase for next test releases, set 0 for first Stable, etc.
 #set(PLAN_ALPHA 1) # uncomment only for Alpha
 #set(PLAN_BETA 1) # uncomment only for Beta
 #set(PLAN_RC 1) # uncomment only for RC
@@ -267,7 +267,6 @@
 endif()
 
 find_package(Perl REQUIRED)
-find_package(ZLIB REQUIRED)
 
 ###########################
 ############################
