=== debian/changelog ===
calligraplan (1:3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove the zlib1g-dev build dependency, no more required.

 -- Pino Toscano <pino@debian.org>  Fri, 29 Nov 2019 19:13:19 +0100
